Get an IP access rule by rule ID

Prev Next
Get
/v1alpha/ip-acl/{id}

Retrieves an IP access rule by its unique ID.

Security
HTTP
Type bearer
Path parameters
id
stringRequired

The ID of the IP access rule to be retrieved.

Responses
200

IP access rule was retrieved successfully.

Expand All
object
rule
object (v1alphaIPAccessRule)

Represents an IP access control rule for a workspace. Allows access to workspace resources only from specific IP addresses or ranges.

id
string

The unique identifier for the IP access rule.

ip
string

The IP address or range for the rule. Must be a valid IPv4 address (e.g., 192.168.1.1) or CIDR range (e.g., 192.168.1.0/24). IPv6 is not supported.

description
string

The IP access rule description. This optional parameter has a 1000-character limit.

created_by
string

The email address of the user who created the IP access rule. Automatically generated and cannot be edited.

created_at
string (date-time)

The timestamp when the IP access rule was created. Automatically generated and cannot be edited.

updated_at
string (date-time)

The timestamp of the last update to the IP access rule. Automatically generated and cannot be edited.

updated_by
string

The email address of the user who last updated the IP access rule. Automatically generated and cannot be edited.

401

Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.

object
403

Insufficient permissions. Only a workspace Owner can retrieve an IP access rule.

object
404

IP access rule not found.

object